"""
Opravte chyby v tomto programu. Pomozte si modulem mypy (typové anotace v tomto programu nejsou nutně správné).

Zadání: 
Roztřiď čísla ze vstupu na sudá a lichá a vypiš každé zvlášť.
"""


def select_even(numbers: list[int]) -> list[int]:
    """
    >>> select_even([1, 2, 3, 4, 5, 6, 0, 999])
    [2, 4, 6, 0]
    >>> select_even([5, 15, 13, 1])
    []
    """
    result = []
    for x in numbers:
        if x % 2 == 0:
            result.append(x)
    return result
    # Navratova hodnota funkce byla spatne oanotovana (-> int), spravne vraci list[int].
    # error: Incompatible return value type (got "List[int]", expected "int")


def select_odd(numbers: list[int]) -> list[int]:
    """
    >>> select_odd([1, 2, 3, 4, 5, 6, 0, 999])
    [1, 3, 5, 999]
    >>> select_even([])
    []
    """
    result = []
    for x in numbers:
        if x % 2 != 0:  # Bylo if x % 2 == 0 (mypy problem neodhali, doctest ano)
            result.append(x)
    return result
    # Navratova hodnota funkce byla spatne oanotovana (-> int), spravne vraci list[int].
    # error: Incompatible return value type (got "List[int]", expected "int")


def main() -> None:
    numbers_str = input('Input numbers: ').split()  
    numbers = [int(s) for s in numbers_str]
    # Chybela konverze list[str] -> list[int]
    # error: Argument 1 to "select_even" has incompatible type "List[str]"; expected "List[int]"
    # error: Argument 1 to "select_odd" has incompatible type "List[str]"; expected "List[int]"

    even_numbers = select_even(numbers)
    odd_numbers = select_odd(numbers)
    # Nesedel nazev promenne (my_numbers / numbers)
    # error: Name "numbers" is not defined
    
    print('Even numbers:', ', '.join(str(i) for i in even_numbers))
    print('Odd numbers:', ', '.join(str(i) for i in odd_numbers))
    # Chybela konverze zpatky z list[int] na list[str] (kvuli funkci join)
    # error: Argument 1 to "join" of "str" has incompatible type "List[int]"; expected "Iterable[str]"
    # error: Argument 1 to "join" of "str" has incompatible type "List[int]"; expected "Iterable[str]"


if __name__ == '__main__':
    main()
